#
# spec file for package perl-XML-Writer (Version 0.600)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-XML-Writer
Version:        0.600
Release:        13.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License, GPL
URL:            http://cpan.org/modules/by-module/XML/
Summary:        A Perl Extension for Writing XML Documents
Source:         XML-Writer-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
XML::Writer is a helper module for Perl programs that write XML
documents.  The module handles all escaping for attribute values and
character data and constructs different types of markup, such as tags,
comments, and processing instructions.



Authors:
--------
    David Megginson <david@megginson.com>

%debug_package
%prep
%setup -n XML-Writer-%{version}

%build
perl Makefile.PL
make
[ "`perl --version | grep "This is perl" | cut -d' ' -f4`" != "v5.6.0" ] && make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/XML
%{perl_vendorarch}/auto/XML
/var/adm/perl-modules/%{name}

%changelog -n perl-XML-Writer
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - cthiel@suse.de
- update to version 0.600
- build as user
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 0.530
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 0.510
* Tue Oct 14 2003 - ro@suse.de
- build on all versions
* Tue Oct 14 2003 - ro@suse.de
- removed 'make test' when version of perl is v5.6.0 due to bug
  that causes segfault
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Mon Jun 09 2003 - mjancar@suse.cz
- don't package MANIFEST
* Mon May 19 2003 - ro@suse.de
- remove perllocal.pod
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Aug 16 2001 - rvasice@suse.cz
- initial package release (version 0.4)
